local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadDBMProfile()
DBM:CreateProfile('GennUI')
DBM_AllSavedOptions = {
	["Default"] = {
		["DontShowFarWarnings"] = true,
		["ChosenVoicePack"] = "None",
		["DontShowHudMap2"] = false,
		["AlwaysPlayVoice"] = false,
		["ShowSWarningsInChat"] = true,
		["RangeFrameRadarY"] = 149.3336486816406,
		["InfoFrameX"] = -491.6664733886719,
		["DontShowNameplateIcons"] = false,
		["CoreSavedRevision"] = 20210505230338,
		["RangeFrameX"] = 50,
		["RangeFrameY"] = -50,
		["FilterInterruptNoteName"] = false,
		["EnableModels"] = true,
		["SpecialWarningFlashAlph3"] = 0.4,
		["ArrowPoint"] = "TOP",
		["SWarnNameInNote"] = true,
		["FakeBWVersion"] = false,
		["InfoFramePoint"] = "CENTER",
		["EventSoundMusicCombined"] = false,
		["SpecialWarningFlashCol2"] = {
			1, -- [1]
			0.5, -- [2]
			0, -- [3]
		},
		["WarningAlphabetical"] = true,
		["WarningFont"] = "standardFont",
		["CheckGear"] = true,
		["SpecialWarningX"] = 0,
		["WorldBossAlert"] = false,
		["DontShowPT2"] = false,
		["MoviesSeen"] = {
		},
		["ShowQueuePop"] = true,
		["ShowAllVersions"] = true,
		["DebugMode"] = false,
		["DontShowTargetAnnouncements"] = true,
		["ShowWarningsInChat"] = true,
		["ShowReminders"] = true,
		["SpecialWarningFontCol"] = {
			1, -- [1]
			0.7, -- [2]
			0, -- [3]
		},
		["InfoFrameFontStyle"] = "None",
		["WarningFontStyle"] = "None",
		["EventSoundEngage2"] = "None",
		["InfoFrameY"] = -246.1107940673828,
		["ChatFrame"] = "DEFAULT_CHAT_FRAME",
		["WarningIconRight"] = true,
		["UseSoundChannel"] = "Master",
		["RangeFrameRadarX"] = -273.3326721191406,
		["ShowRespawn"] = true,
		["EventSoundWipe"] = "None",
		["InfoFrameCols"] = 0,
		["AlwaysShowSpeedKillTimer2"] = false,
		["LatencyThreshold"] = 250,
		["ShowGuildMessagesPlus"] = false,
		["LFDEnhance"] = true,
		["BadTimerAlert"] = false,
		["DontShowPTNoID"] = false,
		["HideGarrisonToasts"] = true,
		["RangeFramePoint"] = "CENTER",
		["SpecialWarningFontShadow"] = false,
		["EventMusicMythicFilter"] = true,
		["HideBossEmoteFrame2"] = true,
		["NPAuraSize"] = 40,
		["HideObjectivesFrame"] = true,
		["SpecialWarningShortText"] = true,
		["DontShowPTText"] = false,
		["SpecialWarningFontSize2"] = 35,
		["SpecialWarningFlashCol5"] = {
			0.2, -- [1]
			1, -- [2]
			1, -- [3]
		},
		["UseNameplateHandoff"] = true,
		["SpecialWarningFlashAlph4"] = 0.4,
		["PTCountThreshold2"] = 5,
		["SpecialWarningFlashCount2"] = 1,
		["SpecialWarningFlashDura1"] = 0.4,
		["EventSoundDungeonBGM"] = "None",
		["oRA3AnnounceConsumables"] = false,
		["CountdownVoice2"] = "Kolt",
		["AutoAcceptGuildInvite"] = false,
		["EnableWBSharing"] = true,
		["ArrowPosX"] = 0,
		["DebugLevel"] = 1,
		["AITimer"] = true,
		["SpecialWarningFlashDura3"] = 1,
		["WarningShortText"] = true,
		["ForumsMessageShown"] = false,
		["DisableGuildStatus"] = false,
		["SpecialWarningSound4"] = 9278,
		["FilterInterrupt2"] = "TandFandBossCooldown",
		["FilterTrashWarnings2"] = true,
		["DisableSFX"] = false,
		["AutologBosses"] = false,
		["SpecialWarningFlashDura4"] = 0.7,
		["RLReadyCheckSound"] = true,
		["EventSoundMusic"] = "None",
		["SpecialWarningFlashCol3"] = {
			1, -- [1]
			0, -- [2]
			0, -- [3]
		},
		["WarningColors"] = {
			{
				["b"] = 0.9411764705882353,
				["g"] = 0.8,
				["r"] = 0.4117647058823529,
			}, -- [1]
			{
				["b"] = 0,
				["g"] = 0.9490196078431372,
				["r"] = 0.9490196078431372,
			}, -- [2]
			{
				["b"] = 0,
				["g"] = 0.5019607843137255,
				["r"] = 1,
			}, -- [3]
			{
				["b"] = 0.1019607843137255,
				["g"] = 0.1019607843137255,
				["r"] = 1,
			}, -- [4]
		},
		["AutoReplySound"] = true,
		["SWarningAlphabetical"] = true,
		["SpecialWarningSound2"] = 15391,
		["BlockNoteShare"] = false,
		["RangeFrameSound2"] = "none",
		["SpecialWarningFlash5"] = true,
		["DontPlaySpecialWarningSound"] = false,
		["ModelSoundValue"] = "Short",
		["SpecialWarningFlashDura5"] = 1,
		["RaidWarningSound"] = 11742,
		["WarningIconLeft"] = true,
		["RangeFrameRadarPoint"] = "BOTTOM",
		["DontShowInfoFrame"] = false,
		["ShortTimerText"] = true,
		["DontPlayTrivialSpecialWarningSound"] = true,
		["RangeFrameUpdates"] = "Average",
		["MovieFilter2"] = "OnlyFight",
		["DontShowSpecialWarningText"] = false,
		["WarningY"] = 260,
		["DontRestoreRange"] = false,
		["GUIHeight"] = 600,
		["SpecialWarningFlashCount3"] = 3,
		["RoleSpecAlert"] = true,
		["WhisperStats"] = false,
		["SilentMode"] = false,
		["LogOnlyNonTrivial"] = true,
		["DontPlayPTCountdown"] = false,
		["SpecialWarningFlashAlph5"] = 0.5,
		["SpecialWarningDuration2"] = 1.5,
		["AdvancedAutologBosses"] = false,
		["RangeFrameLocked"] = false,
		["ShowEngageMessage"] = true,
		["RangeFrameSound1"] = "none",
		["ArrowPosY"] = -150,
		["WarningFontSize"] = 20,
		["EventSoundVictory2"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg",
		["SpecialWarningFlashDura2"] = 0.4,
		["LastRevision"] = 0,
		["GUIPoint"] = "CENTER",
		["SettingsMessageShown"] = true,
		["SWarnClassColor"] = true,
		["SpecialWarningFlashCount5"] = 3,
		["SpecialWarningPoint"] = "CENTER",
		["DontShowUserTimers"] = false,
		["DontSetIcons"] = false,
		["SpecialWarningFlashCount4"] = 2,
		["SpecialWarningFlash4"] = true,
		["CountdownVoice"] = "Corsica",
		["RecordOnlyBosses"] = false,
		["DontShowBossAnnounces"] = false,
		["CountdownVoice3"] = "Smooth",
		["InfoFrameFontSize"] = 12,
		["SpecialWarningFlashCol1"] = {
			1, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["AutoRespond"] = true,
		["EventDungMusicMythicFilter"] = true,
		["GUIY"] = 136.6667022705078,
		["RangeFrameFrames"] = "radar",
		["DontPlayCountdowns"] = false,
		["DontShowRangeFrame"] = false,
		["SpecialWarningIcon"] = true,
		["InfoFrameFont"] = "standardFont",
		["SpecialWarningFlashAlph1"] = 0.3,
		["ShowDefeatMessage"] = true,
		["FilterTankSpec"] = true,
		["WarningDuration2"] = 1.5,
		["SpecialWarningFont"] = "standardFont",
		["InfoFrameShowSelf"] = false,
		["WarningFontShadow"] = true,
		["SpecialWarningFlashAlph2"] = 0.3,
		["SpecialWarningFlash1"] = true,
		["DontShowBossTimers"] = false,
		["SpecialWarningFontStyle"] = "THICKOUTLINE",
		["DontShowSpecialWarningFlash"] = false,
		["SpecialWarningFlashCol4"] = {
			1, -- [1]
			0, -- [2]
			1, -- [3]
		},
		["DisableStatusWhisper"] = false,
		["WorldBossNearAlert"] = false,
		["InfoFrameLines"] = 0,
		["BadIDAlert"] = false,
		["WarningX"] = 0,
		["AutoAcceptFriendInvite"] = false,
		["WarningIconChat"] = true,
		["SpecialWarningFlashCount1"] = 1,
		["HideGuildChallengeUpdates"] = true,
		["SpecialWarningSound5"] = 128466,
		["DontSendYells"] = false,
		["ShowPizzaMessage"] = true,
		["SpecialWarningFlash2"] = true,
		["HideTooltips"] = false,
		["SpecialWarningFlash3"] = true,
		["VoiceOverSpecW2"] = "DefaultOnly",
		["Enabled"] = true,
		["CustomSounds"] = 0,
		["GUIWidth"] = 800,
		["FilterVoidFormSay"] = true,
		["SpecialWarningY"] = 75,
		["DontRestoreIcons"] = false,
		["DontShowPTCountdownText"] = false,
		["WarningPoint"] = "CENTER",
		["StripServerName"] = true,
		["ShowGuildMessages"] = true,
		["GUIX"] = 143.3333740234375,
		["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
		["SpecialWarningSound"] = 8174,
		["AFKHealthWarning"] = false,
		["FilterDispel"] = true,
		["HelpMessageVersion"] = 3,
	},
	["GennUI"] = {
		["DontShowFarWarnings"] = true,
		["ChosenVoicePack"] = "None",
		["DontShowHudMap2"] = false,
		["AlwaysPlayVoice"] = false,
		["ShowSWarningsInChat"] = true,
		["RangeFrameRadarY"] = 147.1104278564453,
		["InfoFrameX"] = 493.2232055664063,
		["DontShowNameplateIcons"] = false,
		["CoreSavedRevision"] = 20210505230338,
		["RangeFrameX"] = -268.8881225585938,
		["RangeFrameY"] = 261.77783203125,
		["FilterInterruptNoteName"] = false,
		["EnableModels"] = true,
		["SpecialWarningFlashAlph3"] = 0.4,
		["ArrowPoint"] = "TOP",
		["SWarnNameInNote"] = true,
		["FakeBWVersion"] = false,
		["InfoFramePoint"] = "LEFT",
		["EventSoundMusicCombined"] = false,
		["SpecialWarningFlashCol2"] = {
			1, -- [1]
			0.5, -- [2]
			0, -- [3]
		},
		["WarningAlphabetical"] = true,
		["WarningFont"] = "Interface\\AddOns\\ElvUI_GennUI\\media\\fonts\\FuturaPTMedium.otf",
		["CheckGear"] = true,
		["SpecialWarningX"] = 0,
		["WorldBossAlert"] = false,
		["DontShowPT2"] = false,
		["MoviesSeen"] = {
		},
		["ShowQueuePop"] = true,
		["ShowAllVersions"] = true,
		["DebugMode"] = false,
		["DontShowTargetAnnouncements"] = true,
		["ShowWarningsInChat"] = true,
		["ShowReminders"] = true,
		["SpecialWarningFontCol"] = {
			1, -- [1]
			0.7, -- [2]
			0, -- [3]
		},
		["InfoFrameFontStyle"] = "None",
		["WarningFontStyle"] = "None",
		["EventSoundEngage2"] = "None",
		["InfoFrameY"] = -261.6669006347656,
		["ChatFrame"] = "DEFAULT_CHAT_FRAME",
		["WarningIconRight"] = true,
		["UseSoundChannel"] = "Master",
		["RangeFrameRadarX"] = -414.4440307617188,
		["ShowRespawn"] = true,
		["EventSoundWipe"] = "None",
		["InfoFrameCols"] = 0,
		["AlwaysShowSpeedKillTimer2"] = false,
		["LatencyThreshold"] = 250,
		["ShowGuildMessagesPlus"] = false,
		["LFDEnhance"] = true,
		["BadTimerAlert"] = false,
		["DontShowPTNoID"] = false,
		["HideGarrisonToasts"] = true,
		["RangeFramePoint"] = "BOTTOM",
		["SpecialWarningFontShadow"] = true,
		["EventMusicMythicFilter"] = true,
		["HideBossEmoteFrame2"] = true,
		["NPAuraSize"] = 40,
		["HideObjectivesFrame"] = true,
		["SpecialWarningShortText"] = true,
		["DontShowPTText"] = false,
		["SpecialWarningFontSize2"] = 35,
		["SpecialWarningFlashCol5"] = {
			0.2, -- [1]
			1, -- [2]
			1, -- [3]
		},
		["UseNameplateHandoff"] = true,
		["SpecialWarningFlashAlph4"] = 0.4,
		["SpecialWarningFlashDura1"] = 0.4,
		["PTCountThreshold2"] = 5,
		["SpecialWarningFlashCount2"] = 1,
		["DebugLevel"] = 1,
		["EventSoundDungeonBGM"] = "None",
		["oRA3AnnounceConsumables"] = false,
		["CountdownVoice2"] = "Kolt",
		["AutoAcceptGuildInvite"] = false,
		["EnableWBSharing"] = true,
		["ArrowPosX"] = 0,
		["InfoFrameLocked"] = true,
		["AITimer"] = true,
		["SpecialWarningFlashDura3"] = 1,
		["WarningShortText"] = true,
		["AutologBosses"] = false,
		["DisableGuildStatus"] = false,
		["SpecialWarningSound4"] = 9278,
		["FilterInterrupt2"] = "TandFandBossCooldown",
		["FilterTrashWarnings2"] = true,
		["DisableSFX"] = false,
		["GUIX"] = 69.99964141845703,
		["SpecialWarningFlashDura4"] = 0.7,
		["EventSoundMusic"] = "None",
		["RLReadyCheckSound"] = true,
		["SpecialWarningFlashCol3"] = {
			1, -- [1]
			0, -- [2]
			0, -- [3]
		},
		["WarningColors"] = {
			{
				["b"] = 0.9411764705882353,
				["g"] = 0.8,
				["r"] = 0.4117647058823529,
			}, -- [1]
			{
				["b"] = 0,
				["g"] = 0.9490196078431372,
				["r"] = 0.9490196078431372,
			}, -- [2]
			{
				["b"] = 0,
				["g"] = 0.5019607843137255,
				["r"] = 1,
			}, -- [3]
			{
				["b"] = 0.1019607843137255,
				["g"] = 0.1019607843137255,
				["r"] = 1,
			}, -- [4]
		},
		["AutoReplySound"] = true,
		["SWarningAlphabetical"] = true,
		["SpecialWarningSound2"] = 15391,
		["BlockNoteShare"] = false,
		["RangeFrameSound2"] = "none",
		["DontPlayTrivialSpecialWarningSound"] = true,
		["DontPlaySpecialWarningSound"] = false,
		["ModelSoundValue"] = "Short",
		["RaidWarningSound"] = 11742,
		["DontRestoreIcons"] = false,
		["ShortTimerText"] = true,
		["RangeFrameRadarPoint"] = "BOTTOM",
		["DontShowInfoFrame"] = false,
		["RangeFrameSound1"] = "none",
		["SpecialWarningFlashDura5"] = 1,
		["RangeFrameUpdates"] = "Average",
		["MovieFilter2"] = "OnlyFight",
		["GUIHeight"] = 600,
		["WarningY"] = 260,
		["DontRestoreRange"] = false,
		["AdvancedAutologBosses"] = false,
		["SpecialWarningFlashCount3"] = 3,
		["RoleSpecAlert"] = true,
		["WhisperStats"] = false,
		["SilentMode"] = false,
		["LogOnlyNonTrivial"] = true,
		["DontPlayPTCountdown"] = false,
		["SpecialWarningFlashAlph5"] = 0.5,
		["SpecialWarningDuration2"] = 1.5,
		["DontShowSpecialWarningText"] = false,
		["ShowEngageMessage"] = true,
		["WarningIconLeft"] = true,
		["RangeFrameLocked"] = false,
		["ArrowPosY"] = -150,
		["WarningFontSize"] = 20,
		["EventSoundVictory2"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg",
		["SpecialWarningFlashDura2"] = 0.4,
		["LastRevision"] = 0,
		["GUIPoint"] = "TOP",
		["SettingsMessageShown"] = true,
		["SWarnClassColor"] = true,
		["SpecialWarningFlashCount5"] = 3,
		["SpecialWarningPoint"] = "CENTER",
		["SpecialWarningFlashCount4"] = 2,
		["DontSetIcons"] = false,
		["DontShowUserTimers"] = false,
		["InfoFrameLines"] = 0,
		["CountdownVoice"] = "Corsica",
		["DontShowBossAnnounces"] = false,
		["RecordOnlyBosses"] = false,
		["CountdownVoice3"] = "Smooth",
		["AutoRespond"] = true,
		["SpecialWarningFlashCol1"] = {
			1, -- [1]
			1, -- [2]
			0, -- [3]
		},
		["DisableStatusWhisper"] = false,
		["EventDungMusicMythicFilter"] = true,
		["GUIY"] = -112.2218246459961,
		["RangeFrameFrames"] = "radar",
		["DontPlayCountdowns"] = false,
		["SpecialWarningFlashCol4"] = {
			1, -- [1]
			0, -- [2]
			1, -- [3]
		},
		["SpecialWarningIcon"] = true,
		["InfoFrameFont"] = "Interface\\AddOns\\ElvUI_GennUI\\media\\fonts\\FuturaPTMedium.otf",
		["SpecialWarningFlashAlph1"] = 0.3,
		["ShowDefeatMessage"] = true,
		["FilterTankSpec"] = true,
		["DontShowRangeFrame"] = false,
		["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI_GennUI\\media\\fonts\\FuturaPTMedium.otf",
		["InfoFrameShowSelf"] = false,
		["WarningFontShadow"] = true,
		["SpecialWarningFlashAlph2"] = 0.3,
		["SpecialWarningFlash1"] = true,
		["DontShowBossTimers"] = false,
		["SpecialWarningFontStyle"] = "OUTLINE",
		["DontShowSpecialWarningFlash"] = false,
		["WarningDuration2"] = 1.5,
		["InfoFrameFontSize"] = 12,
		["WorldBossNearAlert"] = false,
		["WarningX"] = 0,
		["BadIDAlert"] = false,
		["SpecialWarningFlash4"] = true,
		["AutoAcceptFriendInvite"] = false,
		["WarningIconChat"] = true,
		["SpecialWarningFlashCount1"] = 1,
		["HideGuildChallengeUpdates"] = true,
		["SpecialWarningSound5"] = 128466,
		["DontSendYells"] = false,
		["ShowPizzaMessage"] = true,
		["SpecialWarningFlash2"] = true,
		["HideTooltips"] = false,
		["SpecialWarningFlash3"] = true,
		["VoiceOverSpecW2"] = "DefaultOnly",
		["Enabled"] = true,
		["CustomSounds"] = 0,
		["GUIWidth"] = 800,
		["FilterVoidFormSay"] = true,
		["SpecialWarningY"] = 75,
		["SpecialWarningFlash5"] = true,
		["DontShowPTCountdownText"] = false,
		["WarningPoint"] = "CENTER",
		["StripServerName"] = true,
		["ShowGuildMessages"] = true,
		["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
		["SpecialWarningSound"] = 8174,
		["ForumsMessageShown"] = false,
		["AFKHealthWarning"] = false,
		["FilterDispel"] = true,
		["HelpMessageVersion"] = 3,
	},
}
DBM_MinimapIcon = {
	["hide"] = true,
}
DBT_AllPersistentOptions = {
	["Default"] = {
		["DBM"] = {
			["StartColorPR"] = 1,
			["Scale"] = 0.9,
			["HugeBarsEnabled"] = true,
			["EndColorPB"] = 0.285,
			["EndColorPR"] = 0.5,
			["Sort"] = "Sort",
			["ExpandUpwardsLarge"] = false,
			["ExpandUpwards"] = false,
			["TimerPoint"] = "TOPRIGHT",
			["EndColorDG"] = 0,
			["Alpha"] = 0.8,
			["HugeTimerPoint"] = "CENTER",
			["StartColorIR"] = 0.47,
			["StartColorUIR"] = 1,
			["StartColorAG"] = 0.545,
			["EndColorDR"] = 1,
			["HugeBarXOffset"] = 0,
			["StartColorRR"] = 0.5,
			["StripCDText"] = true,
			["FillUpLargeBars"] = true,
			["IconRight"] = false,
			["BarYOffset"] = 3,
			["StartColorDG"] = 0.3,
			["StartColorAR"] = 0.375,
			["TextColorR"] = 1,
			["EndColorAER"] = 1,
			["StartColorIB"] = 1,
			["Font"] = "standardFont",
			["EndColorDB"] = 1,
			["EndColorAEB"] = 0.247,
			["HugeTimerX"] = 0,
			["HugeSort"] = "Sort",
			["BarXOffset"] = 0,
			["EndColorB"] = 0,
			["EndColorAR"] = 0.15,
			["EndColorG"] = 0,
			["HugeScale"] = 1.03,
			["StartColorIG"] = 0.97,
			["StartColorDB"] = 1,
			["FadeBars"] = true,
			["TextColorB"] = 1,
			["EndColorIB"] = 1,
			["StartColorAER"] = 1,
			["Texture"] = "Interface\\AddOns\\DBM-StatusBarTimers\\textures\\default.blp",
			["EndColorRB"] = 0.3,
			["TimerX"] = -223,
			["EndColorIR"] = 0.047,
			["StartColorAEG"] = 0.466,
			["EndColorRR"] = 0.11,
			["Bar7ForceLarge"] = false,
			["BarStyle"] = "NoAnim",
			["EnlargeBarTime"] = 11,
			["Spark"] = true,
			["StartColorDR"] = 0.9,
			["Width"] = 183,
			["FontFlag"] = "None",
			["EndColorAB"] = 1,
			["IconLocked"] = true,
			["EndColorPG"] = 0.41,
			["StartColorRG"] = 1,
			["EndColorIG"] = 0.88,
			["EndColorAEG"] = 0.043,
			["NoBarFade"] = false,
			["StartColorAEB"] = 0.459,
			["StartColorPG"] = 0.776,
			["StartColorR"] = 1,
			["KeepBars"] = true,
			["TDecimal"] = 11,
			["HugeTimerY"] = -120,
			["TextColorG"] = 1,
			["ColorByType"] = true,
			["IconLeft"] = true,
			["HugeAlpha"] = 1,
			["HugeWidth"] = 200,
			["EndColorUIG"] = 0.92156862745098,
			["StartColorAB"] = 1,
			["EndColorUIB"] = 0.0117647058823529,
			["Bar7CustomInline"] = true,
			["TimerY"] = -260,
			["FillUpBars"] = true,
			["HugeBarYOffset"] = 3,
			["FlashBar"] = false,
			["EndColorUIR"] = 1,
			["EndColorRG"] = 1,
			["StartColorUIB"] = 0.0627450980392157,
			["StartColorG"] = 0.7,
			["FontSize"] = 10,
			["Height"] = 20,
			["EndColorR"] = 1,
			["StartColorPB"] = 0.42,
			["DynamicColor"] = true,
			["StartColorRB"] = 0.5,
			["EndColorAG"] = 0.385,
			["InlineIcons"] = true,
			["StartColorB"] = 0,
			["StartColorUIG"] = 1,
			["Skin"] = "",
			["ClickThrough"] = false,
		},
	},
	["GennUI"] = {
		["DBM"] = {
			["StartColorPR"] = 1,
			["Scale"] = 0.8999999761581421,
			["HugeBarsEnabled"] = true,
			["EndColorPB"] = 0.285,
			["EndColorPR"] = 0.5,
			["Sort"] = "Sort",
			["ExpandUpwardsLarge"] = false,
			["ExpandUpwards"] = false,
			["TimerPoint"] = "TOP",
			["EndColorDG"] = 0,
			["Alpha"] = 0.8,
			["HugeTimerPoint"] = "BOTTOM",
			["StartColorIR"] = 0.47,
			["StartColorUIR"] = 1,
			["StartColorAG"] = 0.545,
			["EndColorDR"] = 1,
			["HugeBarXOffset"] = 0,
			["StartColorRR"] = 0.5,
			["StripCDText"] = true,
			["FillUpLargeBars"] = true,
			["IconRight"] = false,
			["BarYOffset"] = 3,
			["StartColorDG"] = 0.3,
			["StartColorAR"] = 0.375,
			["TextColorR"] = 1,
			["EndColorAER"] = 1,
			["StartColorIB"] = 1,
			["Font"] = "Interface\\AddOns\\ElvUI_GennUI\\media\\fonts\\FuturaPTMedium.otf",
			["EndColorDB"] = 1,
			["EndColorAEB"] = 0.247,
			["HugeTimerX"] = 318.8883056640625,
			["HugeSort"] = "Sort",
			["BarXOffset"] = 0,
			["EndColorB"] = 0,
			["EndColorAR"] = 0.15,
			["EndColorG"] = 0,
			["HugeScale"] = 1,
			["StartColorIG"] = 0.97,
			["StartColorDB"] = 1,
			["FadeBars"] = true,
			["TextColorB"] = 1,
			["EndColorIB"] = 1,
			["StartColorAER"] = 1,
			["Texture"] = "Interface\\AddOns\\ElvUI_GennUI\\media\\textures\\GennUI_Melli.tga",
			["EndColorRB"] = 0.3,
			["TimerX"] = -455.7207641601563,
			["EndColorIR"] = 0.047,
			["StartColorAEG"] = 0.466,
			["EndColorRR"] = 0.11,
			["Bar7ForceLarge"] = false,
			["BarStyle"] = "NoAnim",
			["EnlargeBarTime"] = 11,
			["Spark"] = true,
			["StartColorDR"] = 0.9,
			["Width"] = 183,
			["FontFlag"] = "OUTLINE",
			["EndColorAB"] = 1,
			["IconLocked"] = true,
			["EndColorPG"] = 0.41,
			["StartColorRG"] = 1,
			["EndColorIG"] = 0.88,
			["EndColorAEG"] = 0.043,
			["NoBarFade"] = false,
			["StartColorAEB"] = 0.459,
			["StartColorPG"] = 0.776,
			["StartColorR"] = 1,
			["KeepBars"] = true,
			["TDecimal"] = 11,
			["HugeTimerY"] = 277.2777709960938,
			["TextColorG"] = 1,
			["ColorByType"] = true,
			["IconLeft"] = true,
			["HugeAlpha"] = 1,
			["HugeWidth"] = 180,
			["EndColorUIG"] = 0.92156862745098,
			["StartColorAB"] = 1,
			["EndColorUIB"] = 0.0117647058823529,
			["Bar7CustomInline"] = true,
			["TimerY"] = -76.66658782958984,
			["FillUpBars"] = true,
			["HugeBarYOffset"] = 3,
			["FlashBar"] = false,
			["EndColorUIR"] = 1,
			["EndColorRG"] = 1,
			["StartColorUIB"] = 0.0627450980392157,
			["StartColorG"] = 0.7,
			["FontSize"] = 12,
			["Height"] = 20,
			["EndColorR"] = 1,
			["StartColorPB"] = 0.42,
			["DynamicColor"] = true,
			["StartColorRB"] = 0.5,
			["EndColorAG"] = 0.385,
			["InlineIcons"] = true,
			["StartColorB"] = 0,
			["StartColorUIG"] = 1,
			["Skin"] = "",
			["ClickThrough"] = false,
		},
	},
}
--[[ if IsAddOnLoaded('AddOnSkins') then
DBT_AllPersistentOptions["GennUI"]["DBM"]["BarYOffset"] = 3;
DBT_AllPersistentOptions["GennUI"]["DBM"]["HugeBarYOffset"] = 3;
end ]]--
DBM:ApplyProfile('GennUI')
end