local E, L, V, P, G = unpack(ElvUI)
local IsAddOnLoaded = IsAddOnLoaded
local format = string.format
local MyPluginName = "GennUI"
local GNUI = E:GetModule("GennUI");
local classColor = E:ClassColor(E.myclass, true)

function GNUI:LoadBDProfile()
BigDebuffsDB = {
	["namespaces"] = {
		["LibDualSpec-1.0"] = {
		},
	},
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["raidFrames"] = {
				["cooldownFont"] = "Futura PT Medium",
				["enabled"] = false,
				["inRaid"] = {
					["hide"] = true,
				},
				["warningList"] = {
					[323673] = true,
				},
			},
			["nameplates"] = {
				["cooldownFont"] = "Futura PT Medium",
				["tooltips"] = false,
				["enemyAnchor"] = {
					["x"] = 1,
					["size"] = 42,
				},
			},
			["unitFrames"] = {
				["cooldownFont"] = "Futura PT Medium",
				["tooltips"] = false,
				["party"] = {
					["anchorPoint"] = "RIGHT",
					["x"] = 45,
					["matchFrameHeight"] = false,
					["size"] = 42,
				},
				["arena2"] = {
				},
				["focus"] = {
					["anchorPoint"] = "LEFT",
					["x"] = -1,
					["matchFrameHeight"] = false,
					["size"] = 42,
				},
				["target"] = {
					["enabled"] = false,
				},
				["arena5"] = {
				},
				["arena4"] = {
				},
				["cooldownFontSize"] = 12,
				["player"] = {
					["anchorPoint"] = "RIGHT",
					["x"] = 45,
					["matchFrameHeight"] = false,
					["size"] = 42,
				},
				["pet"] = {
					["enabled"] = false,
				},
				["arena"] = {
					["anchorPoint"] = "LEFT",
					["x"] = -1,
					["matchFrameHeight"] = false,
					["size"] = 42,
				},
				["arena3"] = {
				},
				["arena1"] = {
				},
			},
		},
	},
}
if IsAddOnLoaded('Gladius') or IsAddOnLoaded('GladiusEx') then
BigDebuffsDB["profiles"]["Default"]["unitFrames"]["arena"]["enabled"] = false;
end
end